﻿// IDP-DAQ-52503.cpp : 此文件包含 "main" 函数。程序执行将在此处开始并结束。
//
#pragma warning(suppress : 4996)
#include <iostream>
#include "daqfilemanager.h"
#include <fstream>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "cmd.h"


void CMDPROCESS();
void SYSTEMINIT();
extern pDaqFM daqFMx;
/*****************************************
	
	MAIN LOGIC PROCESS 

*****************************************/
int main()
{
	/** INIT PROCESS **/
	SYSTEMINIT();
	/* ENTER CMD ENVIROMENT */
	CMDPROCESS();
	return 0;
}
/*
	func：CMDPROCESS()
	brief：循环等待用户命令
	param：None
*/
void SYSTEMINIT()
{
	printf("Welcome using IDP_DAQ_52503\n");
	printf("Initializing...\n\n");
	/* CHECK THE FILE ENVIROMENT AND INIT THE DAQFM STRUCTURE */
	printf("Trying to init FileManager...\n");
	DaqFM_Init(daqFMx);
	printf("FileMangager init complete!\n\n");
	/* INIT THE CMD ENVIROMENT */
	printf("Trying to set up cmd env...\n");
	Cmd_Init();
	printf("Cmd env init complete!\n");
	printf("Init process end.\n\n");
}
/*
	func：CMDPROCESS()
	brief：循环等待用户命令
	param：None
	retval：None
*/
void CMDPROCESS()
{
	printf("Entered DQA cmd situation\n");
	char buffer[VALUELENGTH] = { 0 };
	char quit[] = { "quit" };
	cmd_Func_help();
	printf("Wating cmds input:\n");
	do {
		printf(">");
		(void)scanf("%s", buffer);
		if (!strcmp(buffer, quit))
			return;
		int ptrOfCmd;
		if ((ptrOfCmd = FindInCmds(buffer)) != -1) {
			char res = commands[ptrOfCmd].cmd_Func();
		}
		else {
			printf("command is not exist\n");
		}
	} while (strcmp(buffer, quit) != 0);
}
